package com.lockscreen.onelock

import android.app.Application
import com.appannie.tbird.TweetyBirdService
import com.dotools.umlibrary.UMPostUtils
import com.igexin.sdk.PushManager
import com.lzy.okgo.OkGo
import com.my.getuilibrary.GeTuiIntentService
import com.my.getuilibrary.GeTuiService


/**
 * @author yl552
 */
class App : Application() {
    override fun onCreate() {
        super.onCreate()
        UMPostUtils.init(this)
        UMPostUtils.setDebugLog(false)
        OkGo.getInstance().init(this)
        TweetyBirdService.start(this@App)
        PushManager.getInstance().initialize(applicationContext, GeTuiService::class.java)
        PushManager.getInstance().registerPushIntentService(applicationContext, GeTuiIntentService::class.java)
        //        GeShuUtils.getInstance().init(this);
        //        GInsightEventUtils.getInstance().initGInsight(this, "uMeHcxxx2sAXGd3HAugv54");
    }
}
